Bug 149752 - CRASH: importing spreadsheet
Summary: CRASH: importing spreadsheet
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.5.0.0 alpha0+ Master
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:7.5.0 target:7.4.0.0.beta2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2022-06-28 07:22 UTC by Xisco Faulí
Modified: 2022-06-29 07:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By: Luboš Luňák


Attachments
sample file (13.15 KB, application/vnd.oasis.opendocument.spreadsheet)
2022-06-28 07:22 UTC, Xisco Faulí
Details
another file affected by the same commit (12.44 KB, application/vnd.oasis.opendocument.spreadsheet)
2022-06-28 07:29 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2022-06-28 07:22:59 UTC
Created attachment 180987 [details]
sample file

Steps to reproduce:
1. Open attached document

-> Crash with

terminate called after throwing an instance of 'std::system_error'
  what():  Resource deadlock avoided
Unspecified Application Error

Reproduced in

Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: 23f76e2fed8d77c888a5595d96520ec958cccda8
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2022-06-28 07:23:42 UTC
Regression introduced by:

author	Luboš Luňák <l.lunak@collabora.com>	2022-06-13 20:46:08 +0200
committer	Luboš Luňák <l.lunak@collabora.com>	2022-06-16 15:12:42 +0200
commit 1ac3b4ae83856eebe6bc329b7a92575b6b1d84be (patch)
tree c1db08bbfe4aa122530be88907b16fabff6cf40e
parent 70d9ae7b59fd26dc524e77ff991f1cd887544475 (diff)
share ScSortedRangeCache between threads

Bisected with: bibisect-linux64-7.5

Adding Cc: to Luboš Luňák
Comment 2 Xisco Faulí 2022-06-28 07:29:10 UTC
Created attachment 180988 [details]
another file affected by the same commit
Comment 3 Commit Notification 2022-06-28 19:20:32 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b55a0eea78837d43e77078e96729befb8e420773

don't try to use self-referencing ScSortedRangeCache (tdf#149752)

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2022-06-29 07:30:27 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/3fa4220729c707a66b411033e1c068a2091b3fdd

don't try to use self-referencing ScSortedRangeCache (tdf#149752)

It will be available in 7.4.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2022-06-29 07:47:39 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2cf8c1d10e719a13afa6a5d9362a60f80e4318ed

tdf#149752: sc_subsequent_filters_test: Add unittest

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.